View Issue Details

IDProjectCategoryView StatusLast Update
0003454SymmetricDSBugpublic2018-03-12 08:26
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.27 
Target Version3.9.5Fixed in Version3.9.5 
Summary0003454: Purge of stranded data_events on PostgreSQL is too slow
DescriptionPurge of stranded data_events on PostgreSQL is too slow. It queries sym_data_event for batch_id not in a subselect from sym_outgoing_batch, and the query doesn't seem to return when the tables get large enough.

Relationships

related to 0003453 closedelong Purge of stranded data_events on PostgreSQL is too slow 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 f97048d9

2018-02-23 14:40:53

admin

Details Diff
0003454: Purge of stranded data_events on PostgreSQL is too slow
0003454
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeServiceSqlMap.java Diff File

SymmetricDS: 3.8 d9e3554a

2018-03-01 12:45:31

admin

Details Diff
0003454: Purge of stranded data_events on PostgreSQL is too slow
0003454
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeService.java Diff File

SymmetricDS: 3.9 ac70c3d8

2018-03-01 16:32:50

admin

Details Diff
0003454: Purge of stranded data_events on PostgreSQL is too slow
0003454
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeService.java Diff File

Issue History

Date Modified Username Field Change
2018-02-23 14:40 elong New Issue
2018-02-23 14:40 elong Status new => assigned
2018-02-23 14:40 elong Assigned To => elong
2018-02-23 14:40 elong Relationship added related to 0003453
2018-02-23 14:43 elong Status assigned => resolved
2018-02-23 14:43 elong Resolution open => fixed
2018-02-23 14:43 elong Fixed in Version => 3.9.5
2018-02-23 15:00 admin Changeset attached => SymmetricDS 3.9 f97048d9
2018-03-01 13:00 admin Changeset attached => SymmetricDS 3.8 d9e3554a
2018-03-01 17:00 admin Changeset attached => SymmetricDS 3.9 ac70c3d8
2018-03-12 08:26 chenson Status resolved => closed